Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::GraphicInfo Struct Reference

Internal: class to store the Graphic properties. More...

## Public Member Functions
| GraphicInfo ()

## Public Attributes
int | m_width
| the first character More...
int | m_graphicWidth
| the graphic width More...
int | m_flags [7]
| some flag More...

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicInfo const &g)
| operator<< More...

## Detailed Description

Internal: class to store the Graphic properties.

## Constructor & Destructor Documentation

## ◆ GraphicInfo()

WriterPlsParserInternal::GraphicInfo::GraphicInfo | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | GraphicInfo const & | g
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_flags

int WriterPlsParserInternal::GraphicInfo::m_flags[7]

some flag

Referenced by WriterPlsParser::readGraphic().

## ◆ m_graphicWidth

int WriterPlsParserInternal::GraphicInfo::m_graphicWidth

the graphic width

Referenced by WriterPlsParser::readGraphic().

## ◆ m_width

int WriterPlsParserInternal::GraphicInfo::m_width

the first character

the line width

Referenced by WriterPlsParser::readGraphic().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx